"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.execute = void 0;
var config_1 = require("../config");
var logs_1 = require("../logs");
function execute(args) {
    var _a, _b;
    var log = console.log, debug = console.debug;
    var config = config_1.getConfig();
    var configName = (_a = args._[1]) === null || _a === void 0 ? void 0 : _a.toString();
    if (configName == undefined) {
        log(JSON.stringify(config, null, 4));
        return;
    }
    debug("Provided config name : '" + configName + "'");
    if (args.S == undefined && args.set == undefined) {
        logs_1.h3("Read mode");
        debug("Reading config '" + configName + "'");
        if (config[configName] == undefined) {
            log("Config property '" + configName + "' is not defined yet");
            return;
        }
        debug("Property '" + configName + "' found");
        log("Value of '" + configName + "' is '" + config[configName.toString()] + "'");
        return;
    }
    logs_1.h1("Write mode");
    debug("Setting config " + configName);
    var newValue = (_b = args.S) !== null && _b !== void 0 ? _b : args.set;
    config_1.setProperty(configName, newValue);
    log("Set '" + configName + "' to '" + newValue + "'");
}
exports.execute = execute;
