"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.execute = void 0;
var fs_extra_1 = __importDefault(require("fs-extra"));
var path_1 = __importDefault(require("path"));
var projects_1 = require("../projects");
var logs_1 = require("../logs");
function execute(args) {
    var _a;
    var error = console.error, log = console.log, debug = console.debug;
    logs_1.h1("Project import");
    var pathToProject = (_a = args._[1]) === null || _a === void 0 ? void 0 : _a.toString();
    if (pathToProject == undefined) {
        error("You did not provide a path to a folder");
    }
    debug("Path to project root: ");
    debug(pathToProject);
    debug();
    if (!fs_extra_1.default.existsSync(pathToProject)) {
        error("You did provide a path, but this one doesn't exist");
        error("Check the spelling.");
    }
    debug("Given path does exist");
    var projectName = path_1.default.basename(pathToProject);
    log("Project Name : " + projectName);
    log("Path to project : " + pathToProject);
    log();
    projects_1.addProject({ name: projectName, path: pathToProject });
}
exports.execute = execute;
